Index: cards/CLICdet/CLICdet_JetScale.tcl
===================================================================
--- cards/CLICdet/CLICdet_JetScale.tcl	(revision b4e1ab5e17517d160d0d862ed232c1d8de264946)
+++ cards/CLICdet/CLICdet_JetScale.tcl	(revision b4e1ab5e17517d160d0d862ed232c1d8de264946)
@@ -0,0 +1,152 @@
+module EnergyScale JetEnergyScale_VLCR05N2 {
+    set InputArray  JetMomentumSmearing_VLCR05N2/JER_VLCjetsR05N2
+    set OutputArray JES_VLCjetsR05N2
+
+     # Scale Formula
+    set ScaleFormula { (abs(eta) < 0.76) * ( 1.07 ) + (abs(eta) >= 0.76 ) * (1.1)}
+}
+module EnergyScale JetEnergyScale_VLCR05N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR05N3/JER_VLCjetsR05N3                                        
+  set OutputArray JES_VLCjetsR05N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR05N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR05N4/JER_VLCjetsR05N4                                        
+  set OutputArray JES_VLCjetsR05N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR05N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR05N5/JER_VLCjetsR05N5                                        
+  set OutputArray JES_VLCjetsR05N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR05N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR05N6/JER_VLCjetsR05N6                                        
+  set OutputArray JES_VLCjetsR05N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR05_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR05_inclusive/JER_VLCjetsR05_inclusive                        
+  set OutputArray JES_VLCjetsR05_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N2 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N2/JER_VLCjetsR07N2                                        
+  set OutputArray JES_VLCjetsR07N2                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N3/JER_VLCjetsR07N3                                        
+  set OutputArray JES_VLCjetsR07N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N4/JER_VLCjetsR07N4                                        
+  set OutputArray JES_VLCjetsR07N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N5/JER_VLCjetsR07N5                                        
+  set OutputArray JES_VLCjetsR07N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR07N6/JER_VLCjetsR07N6                                        
+  set OutputArray JES_VLCjetsR07N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR07_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR07_inclusive/JER_VLCjetsR07_inclusive                        
+  set OutputArray JES_VLCjetsR07_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N2 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N2/JER_VLCjetsR10N2                                        
+  set OutputArray JES_VLCjetsR10N2                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N3/JER_VLCjetsR10N3                                        
+  set OutputArray JES_VLCjetsR10N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N4/JER_VLCjetsR10N4                                        
+  set OutputArray JES_VLCjetsR10N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N5/JER_VLCjetsR10N5                                        
+  set OutputArray JES_VLCjetsR10N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR10N6/JER_VLCjetsR10N6                                        
+  set OutputArray JES_VLCjetsR10N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR10_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR10_inclusive/JER_VLCjetsR10_inclusive                        
+  set OutputArray JES_VLCjetsR10_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N2 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N2/JER_VLCjetsR12N2                                        
+  set OutputArray JES_VLCjetsR12N2                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N3/JER_VLCjetsR12N3                                        
+  set OutputArray JES_VLCjetsR12N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N4/JER_VLCjetsR12N4                                        
+  set OutputArray JES_VLCjetsR12N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N5/JER_VLCjetsR12N5                                        
+  set OutputArray JES_VLCjetsR12N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR12N6/JER_VLCjetsR12N6                                        
+  set OutputArray JES_VLCjetsR12N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR12_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR12_inclusive/JER_VLCjetsR12_inclusive                        
+  set OutputArray JES_VLCjetsR12_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N2 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N2/JER_VLCjetsR15N2                                        
+  set OutputArray JES_VLCjetsR15N2                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N3 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N3/JER_VLCjetsR15N3                                        
+  set OutputArray JES_VLCjetsR15N3                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N4 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N4/JER_VLCjetsR15N4                                        
+  set OutputArray JES_VLCjetsR15N4                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N5 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N5/JER_VLCjetsR15N5                                        
+  set OutputArray JES_VLCjetsR15N5                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15N6 {                                       
+ set InputArray  JetMomentumSmearing_VLCR15N6/JER_VLCjetsR15N6                                        
+  set OutputArray JES_VLCjetsR15N6                                                           
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                                                            
+module EnergyScale JetEnergyScale_VLCR15_inclusive {                               
+ set InputArray  JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive                        
+  set OutputArray JES_VLCjetsR15_inclusive                                                   
+  set ScaleFormula { (abs(eta) < 0.76) * ( 1.02 ) + (abs(eta) >= 0.76 ) * (1.1) }                                                              
+}                                                 
Index: cards/CLICdet/CLICdet_JetSmearing.tcl
===================================================================
--- cards/CLICdet/CLICdet_JetSmearing.tcl	(revision 35807af3c0a7f52664631ea9e85d635208e44501)
+++ cards/CLICdet/CLICdet_JetSmearing.tcl	(revision b4e1ab5e17517d160d0d862ed232c1d8de264946)
@@ -4,149 +4,149 @@
 
      # Resolution given in dpT/pT.
-    set ResolutionFormula { 0.1 }
+    set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }
 }
 module MomentumSmearing JetMomentumSmearing_VLCR05N3 {                                       
  set InputArray  FastJetFinderVLC_R05_N3/VLCjetsR05N3                                        
   set OutputArray JER_VLCjetsR05N3                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR05N4 {                                       
  set InputArray  FastJetFinderVLC_R05_N4/VLCjetsR05N4                                        
   set OutputArray JER_VLCjetsR05N4                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR05N5 {                                       
  set InputArray  FastJetFinderVLC_R05_N5/VLCjetsR05N5                                        
   set OutputArray JER_VLCjetsR05N5                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR05N6 {                                       
  set InputArray  FastJetFinderVLC_R05_N6/VLCjetsR05N6                                        
   set OutputArray JER_VLCjetsR05N6                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR05_inclusive {                               
  set InputArray  FastJetFinderVLC_R05_inclusive/VLCjetsR05_inclusive                        
   set OutputArray JER_VLCjetsR05_inclusive                                                   
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR07N2 {                                       
  set InputArray  FastJetFinderVLC_R07_N2/VLCjetsR07N2                                        
   set OutputArray JER_VLCjetsR07N2                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR07N3 {                                       
  set InputArray  FastJetFinderVLC_R07_N3/VLCjetsR07N3                                        
   set OutputArray JER_VLCjetsR07N3                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR07N4 {                                       
  set InputArray  FastJetFinderVLC_R07_N4/VLCjetsR07N4                                        
   set OutputArray JER_VLCjetsR07N4                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR07N5 {                                       
  set InputArray  FastJetFinderVLC_R07_N5/VLCjetsR07N5                                        
   set OutputArray JER_VLCjetsR07N5                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR07N6 {                                       
  set InputArray  FastJetFinderVLC_R07_N6/VLCjetsR07N6                                        
   set OutputArray JER_VLCjetsR07N6                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR07_inclusive {                               
  set InputArray  FastJetFinderVLC_R07_inclusive/VLCjetsR07_inclusive                        
   set OutputArray JER_VLCjetsR07_inclusive                                                   
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR10N2 {                                       
  set InputArray  FastJetFinderVLC_R10_N2/VLCjetsR10N2                                        
   set OutputArray JER_VLCjetsR10N2                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR10N3 {                                       
  set InputArray  FastJetFinderVLC_R10_N3/VLCjetsR10N3                                        
   set OutputArray JER_VLCjetsR10N3                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR10N4 {                                       
  set InputArray  FastJetFinderVLC_R10_N4/VLCjetsR10N4                                        
   set OutputArray JER_VLCjetsR10N4                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR10N5 {                                       
  set InputArray  FastJetFinderVLC_R10_N5/VLCjetsR10N5                                        
   set OutputArray JER_VLCjetsR10N5                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR10N6 {                                       
  set InputArray  FastJetFinderVLC_R10_N6/VLCjetsR10N6                                        
   set OutputArray JER_VLCjetsR10N6                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR10_inclusive {                               
  set InputArray  FastJetFinderVLC_R10_inclusive/VLCjetsR10_inclusive                        
   set OutputArray JER_VLCjetsR10_inclusive                                                   
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR12N2 {                                       
  set InputArray  FastJetFinderVLC_R12_N2/VLCjetsR12N2                                        
   set OutputArray JER_VLCjetsR12N2                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR12N3 {                                       
  set InputArray  FastJetFinderVLC_R12_N3/VLCjetsR12N3                                        
   set OutputArray JER_VLCjetsR12N3                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR12N4 {                                       
  set InputArray  FastJetFinderVLC_R12_N4/VLCjetsR12N4                                        
   set OutputArray JER_VLCjetsR12N4                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR12N5 {                                       
  set InputArray  FastJetFinderVLC_R12_N5/VLCjetsR12N5                                        
   set OutputArray JER_VLCjetsR12N5                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR12N6 {                                       
  set InputArray  FastJetFinderVLC_R12_N6/VLCjetsR12N6                                        
   set OutputArray JER_VLCjetsR12N6                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR12_inclusive {                               
  set InputArray  FastJetFinderVLC_R12_inclusive/VLCjetsR12_inclusive                        
   set OutputArray JER_VLCjetsR12_inclusive                                                   
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR15N2 {                                       
  set InputArray  FastJetFinderVLC_R15_N2/VLCjetsR15N2                                        
   set OutputArray JER_VLCjetsR15N2                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR15N3 {                                       
  set InputArray  FastJetFinderVLC_R15_N3/VLCjetsR15N3                                        
   set OutputArray JER_VLCjetsR15N3                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR15N4 {                                       
  set InputArray  FastJetFinderVLC_R15_N4/VLCjetsR15N4                                        
   set OutputArray JER_VLCjetsR15N4                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR15N5 {                                       
  set InputArray  FastJetFinderVLC_R15_N5/VLCjetsR15N5                                        
   set OutputArray JER_VLCjetsR15N5                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR15N6 {                                       
  set InputArray  FastJetFinderVLC_R15_N6/VLCjetsR15N6                                        
   set OutputArray JER_VLCjetsR15N6                                                           
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                                                            
 module MomentumSmearing JetMomentumSmearing_VLCR15_inclusive {                               
  set InputArray  FastJetFinderVLC_R15_inclusive/VLCjetsR15_inclusive                        
   set OutputArray JER_VLCjetsR15_inclusive                                                   
-  set ResolutionFormula { 0.1 }                                                              
+  set ResolutionFormula { (abs(eta) < 0.76) * ( 0.02 ) + (abs(eta) >= 0.76 ) * (0.1) }                                                              
 }                                                 
Index: cards/delphes_card_CLICdet.tcl
===================================================================
--- cards/delphes_card_CLICdet.tcl	(revision 35807af3c0a7f52664631ea9e85d635208e44501)
+++ cards/delphes_card_CLICdet.tcl	(revision b4e1ab5e17517d160d0d862ed232c1d8de264946)
@@ -116,4 +116,37 @@
     JetMomentumSmearing_VLCR15N6
     JetMomentumSmearing_VLCR15_inclusive
+
+
+       
+    JetEnergyScale_VLCR05N2                                                                 
+    JetEnergyScale_VLCR05N3                                                                 
+    JetEnergyScale_VLCR05N4                                                                 
+    JetEnergyScale_VLCR05N5
+    JetEnergyScale_VLCR05N6
+    JetEnergyScale_VLCR05_inclusive
+    JetEnergyScale_VLCR07N2
+    JetEnergyScale_VLCR07N3
+    JetEnergyScale_VLCR07N4
+    JetEnergyScale_VLCR07N5
+    JetEnergyScale_VLCR07N6
+    JetEnergyScale_VLCR07_inclusive
+    JetEnergyScale_VLCR10N2
+    JetEnergyScale_VLCR10N3
+    JetEnergyScale_VLCR10N4
+    JetEnergyScale_VLCR10N5
+    JetEnergyScale_VLCR10N6
+    JetEnergyScale_VLCR10_inclusive
+    JetEnergyScale_VLCR12N2
+    JetEnergyScale_VLCR12N3
+    JetEnergyScale_VLCR12N4
+    JetEnergyScale_VLCR12N5
+    JetEnergyScale_VLCR12N6
+    JetEnergyScale_VLCR12_inclusive
+    JetEnergyScale_VLCR15N2
+    JetEnergyScale_VLCR15N3
+    JetEnergyScale_VLCR15N4
+    JetEnergyScale_VLCR15N5
+    JetEnergyScale_VLCR15N6
+    JetEnergyScale_VLCR15_inclusive
 
 
@@ -387,7 +420,8 @@
     set ResolutionFormula {
 	(abs(eta) < 2.66 && abs(eta) >= 1.74 ) * 2 * sqrt( 8.56036e-05^2 * pt^2 +0.0148987^2    ) +
-	(abs(eta) < 1.74 && abs(eta) >= 1.01 ) * sqrt( 1.12382e-05^2 * pt^2 +0.00391722^2   ) +
-	(abs(eta) < 1.01 && abs(eta) >= 0.55 ) * sqrt( 1.16768e-05^2 * pt^2 +0.00255204^2    ) +
-	(abs(eta) < 0.55 && abs(eta) >= 0.18 ) * sqrt( 1.28327e-05^2 * pt^2 +0.00220587^2   ) +
+      	(abs(eta) < 1.74 && abs(eta) >= 1.32 ) * 2 * sqrt( 8.56036e-05^2 * pt^2 +0.0148987^2    ) +
+	(abs(eta) < 1.32 && abs(eta) >= 0.76 ) * 2 * sqrt( 1.12382e-05^2 * pt^2 +0.00391722^2   ) +
+	(abs(eta) < 0.76 && abs(eta) >= 0.36 ) * sqrt( 1.16768e-05^2 * pt^2 +0.00255204^2    ) +
+	(abs(eta) < 0.36 && abs(eta) >= 0.18 ) * sqrt( 1.28327e-05^2 * pt^2 +0.00220587^2   ) +
 	(abs(eta) < 0.18)                      * sqrt( 1.32845e-05^2 * pt^2 +0.00209325^2   )
 	
@@ -407,7 +441,8 @@
     set ResolutionFormula {
 	(abs(eta) < 2.66 && abs(eta) >= 1.74 ) * 2 * sqrt( 8.62283e-05^2 * pt^2  + 0.0177556^2   ) +
-	(abs(eta) < 1.74 && abs(eta) >= 1.01 ) * sqrt( 1.0915e-05 ^2 * pt^2  + 0.00663766^2  ) +
-	(abs(eta) < 1.01 && abs(eta) >= 0.55 ) * sqrt( 1.15518e-05^2 * pt^2  + 0.00398644^2  ) +
-	(abs(eta) < 0.55 && abs(eta) >= 0.18 ) * sqrt( 1.3307e-05 ^2 * pt^2  + 0.00317807^2  ) +
+	(abs(eta) < 1.74 && abs(eta) >= 1.32 ) * 2 * sqrt( 8.62283e-05^2 * pt^2  + 0.0177556^2   ) +
+	(abs(eta) < 1.32 && abs(eta) >= 0.76 ) * 2 * sqrt( 1.0915e-05 ^2 * pt^2  + 0.00663766^2  ) +
+	(abs(eta) < 0.76 && abs(eta) >= 0.36 ) * sqrt( 1.15518e-05^2 * pt^2  + 0.00398644^2  ) +
+	(abs(eta) < 0.36 && abs(eta) >= 0.18 ) * sqrt( 1.3307e-05 ^2 * pt^2  + 0.00317807^2  ) +
 	(abs(eta) < 0.18)                      * sqrt( 1.40722e-05^2 * pt^2  + 0.00292138^2  )
 
@@ -428,9 +463,10 @@
     set ResolutionFormula {
 
-	(abs(eta) < 2.66 && abs(eta) >= 1.74 ) * 2 * sqrt(4.57439e-05^2 * pt^2*   + 0.0149328^2	   ) +
-	(abs(eta) < 1.74 && abs(eta) >= 1.01 ) * sqrt(9.81626e-06^2 * pt^2*   + 0.00379895^2  ) +
-	(abs(eta) < 1.01 && abs(eta) >= 0.55 ) * sqrt(1.1959e-05^2 * pt^2*   +  0.00242417^2 ) +
-	(abs(eta) < 0.55 && abs(eta) >= 0.18 ) * sqrt(1.20149e-05^2 * pt^2  + 0.00219291^2  ) +
-	(abs(eta) < 0.18)                      * sqrt(1.29686e-05^2 * pt^2  + 0.0020392^2      ) 
+	(abs(eta) < 2.66 && abs(eta) >= 1.74 ) 	 * 2 * sqrt(4.57439e-05^2 * pt^2*   + 0.0149328^2	   ) +
+	(abs(eta) < 1.74 && abs(eta) >= 1.32 )   * 2 * sqrt(4.57439e-05^2 * pt^2*   + 0.0149328^2	   ) +
+	(abs(eta) < 1.32 && abs(eta) >= 0.76 )	 * 2 * sqrt(9.81626e-06^2 * pt^2*   + 0.00379895^2  ) +
+	(abs(eta) < 0.76 && abs(eta) >= 0.36 )	 * sqrt(1.1959e-05^2 * pt^2*   +  0.00242417^2 ) +
+	(abs(eta) < 0.36 && abs(eta) >= 0.18 )	 * sqrt(1.20149e-05^2 * pt^2  + 0.00219291^2  ) +
+	(abs(eta) < 0.18)                     	 * sqrt(1.29686e-05^2 * pt^2  + 0.0020392^2      ) 
 
     }
@@ -1002,4 +1038,13 @@
 source CLICdet/CLICdet_JetSmearing.tcl
 
+#########################################
+# Jet Energy Scale to mimick overlay
+#########################################
+
+source CLICdet/CLICdet_JetScale.tcl
+
+
+
+
 ########################
 # Jet Flavor Association
@@ -1110,4 +1155,42 @@
     add Branch JetMomentumSmearing_VLCR15_inclusive/JER_VLCjetsR15_inclusive JER_VLCjetR15_inclusive Jet
 
+    
+   ###with JES
+    add Branch JetEnergyScale_VLCR05N2/JES_VLCjetsR05N2 JES_VLCjetR05N2 Jet
+    add Branch JetEnergyScale_VLCR05N3/JES_VLCjetsR05N3 JES_VLCjetR05N3 Jet
+    add Branch JetEnergyScale_VLCR05N4/JES_VLCjetsR05N4 JES_VLCjetR05N4 Jet
+    add Branch JetEnergyScale_VLCR05N5/JES_VLCjetsR05N5 JES_VLCjetR05N5 Jet
+    add Branch JetEnergyScale_VLCR05N6/JES_VLCjetsR05N6 JES_VLCjetR05N6 Jet
+
+    add Branch JetEnergyScale_VLCR07N2/JES_VLCjetsR07N2 JES_VLCjetR07N2 Jet
+    add Branch JetEnergyScale_VLCR07N3/JES_VLCjetsR07N3 JES_VLCjetR07N3 Jet
+    add Branch JetEnergyScale_VLCR07N4/JES_VLCjetsR07N4 JES_VLCjetR07N4 Jet
+    add Branch JetEnergyScale_VLCR07N5/JES_VLCjetsR07N5 JES_VLCjetR07N5 Jet
+    add Branch JetEnergyScale_VLCR07N6/JES_VLCjetsR07N6 JES_VLCjetR07N6 Jet
+
+    add Branch JetEnergyScale_VLCR10N2/JES_VLCjetsR10N2 JES_VLCjetR10N2 Jet
+    add Branch JetEnergyScale_VLCR10N3/JES_VLCjetsR10N3 JES_VLCjetR10N3 Jet
+    add Branch JetEnergyScale_VLCR10N4/JES_VLCjetsR10N4 JES_VLCjetR10N4 Jet
+    add Branch JetEnergyScale_VLCR10N5/JES_VLCjetsR10N5 JES_VLCjetR10N5 Jet
+    add Branch JetEnergyScale_VLCR10N6/JES_VLCjetsR10N6 JES_VLCjetR10N6 Jet
+
+    add Branch JetEnergyScale_VLCR12N2/JES_VLCjetsR12N2 JES_VLCjetR12N2 Jet
+    add Branch JetEnergyScale_VLCR12N3/JES_VLCjetsR12N3 JES_VLCjetR12N3 Jet
+    add Branch JetEnergyScale_VLCR12N4/JES_VLCjetsR12N4 JES_VLCjetR12N4 Jet
+    add Branch JetEnergyScale_VLCR12N5/JES_VLCjetsR12N5 JES_VLCjetR12N5 Jet
+    add Branch JetEnergyScale_VLCR12N6/JES_VLCjetsR12N6 JES_VLCjetR12N6 Jet
+
+    add Branch JetEnergyScale_VLCR15N2/JES_VLCjetsR15N2 JES_VLCjetR15N2 Jet
+    add Branch JetEnergyScale_VLCR15N3/JES_VLCjetsR15N3 JES_VLCjetR15N3 Jet
+    add Branch JetEnergyScale_VLCR15N4/JES_VLCjetsR15N4 JES_VLCjetR15N4 Jet
+    add Branch JetEnergyScale_VLCR15N5/JES_VLCjetsR15N5 JES_VLCjetR15N5 Jet
+    add Branch JetEnergyScale_VLCR15N6/JES_VLCjetsR15N6 JES_VLCjetR15N6 Jet
+
+    add Branch JetEnergyScale_VLCR05_inclusive/JES_VLCjetsR05_inclusive JES_VLCjetR05_inclusive Jet
+    add Branch JetEnergyScale_VLCR07_inclusive/JES_VLCjetsR07_inclusive JES_VLCjetR07_inclusive Jet
+    add Branch JetEnergyScale_VLCR10_inclusive/JES_VLCjetsR10_inclusive JES_VLCjetR10_inclusive Jet
+    add Branch JetEnergyScale_VLCR12_inclusive/JES_VLCjetsR12_inclusive JES_VLCjetR12_inclusive Jet
+    add Branch JetEnergyScale_VLCR15_inclusive/JES_VLCjetsR15_inclusive JES_VLCjetR15_inclusive Jet
+
     ####
 
